Name:			QTeXEngine
Version:		0.2
Release:		2.20100119svn%{?dist}
Summary:		Library enabling Qt based applications to easily export graphics to TeX
License:		GPLv3
Group:			System Environment/Libraries
URL:			http://soft.proindependent.com/qtexengine/
Source0:		http://download.berlios.de/qtiplot/%{name}-%{version}-opensource.zip
# Fixes the build and install of QTeXEngine
Patch0:			QTeXEngine-path.patch
# Fixes between 0.2 and svn1552 checkout
Patch1:			QTeXEngine-svn1552.patch
BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:		qt4-devel
BuildRequires:		doxygen
BuildRequires:		dos2unix

%description
QTeXEngine is a library enabling Qt based applications to easily export 
graphics created using the QPainter class to TeX. It is built on top of 
QPaintEngine and uses the TikZ/Pgf graphic systems for TeX. 

%package devel
Summary:		Development files for %{name}
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for 
developing applications that use %{name}. 

%package doc

Summary:		Documentation for %{name}
Group:			Documentation
Requires:		%{name} = %{version}-%{release}
BuildArch:		noarch 

%description doc
The %{name}-doc package contains documentation for the %{name} library.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
rm -rf example/.svn
rm -rf test/.svn

#fix source files for debug package
find %{_builddir} -name '*.h' -exec dos2unix {} \;
find %{_builddir} -name '*.hh' -exec dos2unix {} \;
find %{_builddir} -name '*.hpp' -exec dos2unix {} \;
find %{_builddir} -name '*.c' -exec dos2unix {} \;
find %{_builddir} -name '*.cc' -exec dos2unix {} \;
find %{_builddir} -name '*.cpp' -exec dos2unix {} \;

%build
export PATH=%{_qt4_bindir}:$PATH
%_qt4_qmake QTeXDOCDIR=%{_docdir}/%{name}-%{version} LIBDIR=%{_libdir}
make %{?_smp_mflags}
pushd doc
doxygen Doxyfile
popd
dos2unix COPYING.txt
dos2unix README.txt
dos2unix CHANGES.txt
dos2unix example/*
dos2unix test/test*

%install
rm -rf %{buildroot}
make INSTALL="install -p" INSTALL_ROOT=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/*.txt
%{_libdir}/libQTeXEngine.so.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/libQTeXEngine.so

%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/example
%{_docdir}/%{name}-%{version}/test

%changelog
* Sat Jan 23 2010 Chen Lei <supercyper AT 163 DOT com> - 0.2-2.20100119svn
- svn 1552
- split doc subpackage
* Thu Jan 21 2010 Chen Lei <supercyper AT 163 DOT com> - 0.2-1
- use qt4-based rpm macros
- drop Requires(post,postun)
* Sun Nov 29 2009 Chen Lei <supercyper AT 163 DOT com> - 0.2-0
- initial rpm build
